package com.caimei365.tools.task;

import com.caimei365.tools.service.CmRepurchaseFrequencyService;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/25
 */
public class CmRepurchaseFrequencyTask {

    @Resource private CmRepurchaseFrequencyService cmRepurchaseFrequencyService;

    /**
     * 每月一号更新用户活跃状态、用户价值
     */
    @Scheduled(cron = "0 50 23 L * ?")
    public void organData(){
        cmRepurchaseFrequencyService.insertRepurchase();
    }
}
